import request from '@/utils/request'

// 查询银行转账列表
export function listTransfer(query) {
  return request({
    url: '/yinnong/transfer/list',
    method: 'get',
    params: query
  })
}

// 查询银行转账详细
export function getTransfer(id) {
  return request({
    url: '/yinnong/transfer/get/' + id,
    method: 'get'
  })
}

export function queryTransferDetail(transferId){
  return request({
    url: '/yinnong/transferDetail/getDetails/' + transferId,
    method: 'get'
  })
}

export function listPayee(query) {
  return request({
    url: '/yinnong/payee/selectlist',
    method: 'get',
    params: query
  })
}

// 修改银行转账
export function updateTransfer(data) {
  return request({
    url: '/yinnong/transfer/edit',
    method: 'post',
    data: data
  })
}

// 查询工程项目关联关系详细
export function getProjectto(query) {
  return request({
    url: '/yinnong/project/getProjectto/',
    method: 'get',
    params: query
  })
}

// 查询工程项目列表
export function listProject(query) {
  return request({
    url: '/yinnong/project/list',
    method: 'get',
    params: query
  })
}

// 新增工程项目关联关系
export function addProjectto(data) {
  return request({
    url: '/yinnong/project/addProjectto',
    method: 'post',
    data: data
  })
}

// 提交审批
export function customSubmit(id) {
  return request({
    url: '/yinnong/transfer/customSubmit/' + id,
    method: 'post'
  })
}

// 新增银行转账
export function addTransfer(data) {
  return request({
    url: '/yinnong/transfer/add',
    method: 'post',
    data: data
  })
}

// 查询转账账户详情详细
export function getTransferProcess(id) {
  return request({
    url: '/yinnong/transfer/getProcessSchedule/' + id,
    method: 'get'
  })
}

// 查询转账账户详情详细
export function getCashProcess(id) {
  return request({
    url: '/yinnong/cash/getProcessSchedule/' + id,
    method: 'get'
  })
}

export function getAccount(query){
  return request({
    url: '/cashier/account/list',
    method: 'get',
    params: query
  })
}
